Foreman - Refactor #6878

Replace default_scope with specific scopes for visibility
08/01/2014 05:52 AM - Dominic Cleal

Status: New
Priority: Normal
Assignee:

Category: Rails
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

default_scopes have caused a few bugs, mostly around sorting as the field used for sorting may not be available when the model is
used in another query. When used to restrict visibility (e.g. #3272 for hidden users and taxonomies generally), it can break Rails
associations as they assume a model can be looked up by ID (#6873).

Perhaps we should move to a more generally available scopes on every model? .visible, .sorted etc?

Related issues:

Related to Foreman - Bug #6873: Error during db:seed from 1.4 to 1.6: undefin... Closed 08/01/2014
Related to Foreman - Bug #6964: Error on startup: "null value in column "user... Closed 08/06/2014
History

#1 - 08/01/2014 05:53 AM - Dominic Cleal
- Related to Bug #6873: Error during db:seed from 1.4 to 1.6: undefined method “expire_topbar_cache' for nil:NilClass added

#2 - 08/07/2014 11:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version setto 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1665 added
- Pull request deleted ()

#3 - 08/07/2014 12:00 PM - Dominic Cleal

- Blocks Bug #6964: Error on startup: "null value in column "user_id" violates not-null constraint” added

#4 - 08/07/2014 12:00 PM - Dominic Cleal
- Assignee set to Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 08/07/2014 12:59 PM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Dominic Cleal)

- Target version deleted (1.7.5)

- translation missing: en.field_release deleted (10)

- Pull request added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1665)

Didn't mean to use this bug only for users.

#6 - 08/07/2014 12:59 PM - Dominic Cleal

- Blocks deleted (Bug #6964: Error on startup: "null value in column "user_id" violates not-null constraint")
https://projects.theforeman.org/issues/3272
https://projects.theforeman.org/issues/6873

#7 - 08/07/2014 01:00 PM - Dominic Cleal

- Related to Bug #6964: Error on startup: "null value in column "user_id" violates not-null constraint" added
